Package com.xebialabs.xlrelease.configuration

# Class ArchivingSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.BaseSettings
com.xebialabs.xlrelease.configuration.ArchivingSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false, label="Releases and workflows archiving and clean-up", description="Release will use these settings to archive completed releases. Note: Only archived releases appear in reports.") public class ArchivingSettings extends BaseSettings

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVING_SETTINGS_ID`
  `static final int`
  `DEFAULT_SEARCH_PAGE_SIZE`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseSettings

  `BASE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchivingSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getArchivingJobCronSchedule()`
  `boolean`
  `getEnabled()`
  `boolean`
  `getExportOnPurgeEnabled()`
  `Integer`
  `getMaximumArchiveRetentionPeriod()`
  `Integer`
  `getMaxSecondsPerRun()`
  `boolean`
  `getPreArchivingEnabled()`
  `String`
  `getPurgeExportPath()`
  `boolean`
  `getPurgingEnabled()`
  `String`
  `getPurgingJobCronSchedule()`
  `Integer`
  `getPurgingMaxSecondsPerRun()`
  `Integer`
  `getPurgingSearchPageSize()`
  `Integer`
  `getPurgingSleepSecondsBetweenReleases()`
  `Integer`
  `getReleaseAgeToAbort()`
  `Integer`
  `getReleaseAgeToDeleteFromJcr()`
  `String`
  `getReleaseCleanupCronSchedule()`
  `Integer`
  `getReleaseCleanupMaxSecondsPerRun()`
  `Integer`
  `getReleaseCleanupSearchPageSize()`
  `Integer`
  `getReleaseCleanupSleepSecondsBetweenAbort()`
  `Integer`
  `getSearchPageSize()`
  `boolean`
  `getSkipArchiveAllowed()`
  `Integer`
  `getSleepSecondsBetweenReleases()`
  `boolean`
  `isReleaseCleanupEnabled()`
  `void`
  `setExportOnPurgeEnabled(boolean enabled)`
  `void`
  `setMaximumArchiveRetentionPeriod(Integer maximumArchiveRetentionPeriod)`
  `void`
  `setPreArchivingEnabled(Boolean enabled)`
  `void`
  `setPurgeExportPath(String location)`
  `void`
  `setPurgingEnabled(boolean enabled)`
  `void`
  `setReleaseAgeToAbort(Integer releaseAgeToAbort)`
  `void`
  `setReleaseAgeToDeleteFromJcr(Integer releaseAgeToDeleteFromJcr)`
  `void`
  `setReleaseCleanupCronSchedule(String releaseCleanupCronSchedule)`
  `void`
  `setReleaseCleanupEnabled(boolean releaseCleanupEnabled)`
  `void`
  `setReleaseCleanupMaxSecondsPerRun(Integer releaseCleanupMaxSecondsPerRun)`
  `void`
  `setReleaseCleanupSearchPageSize(Integer releaseCleanupSearchPageSize)`
  `void`
  `setReleaseCleanupSleepSecondsBetweenAbort(Integer releaseCleanupSleepSecondsBetweenAbort)`
  `void`
  `setSkipArchiveAllowed(boolean skipArchiveAllowed)`
  `void`
  `validate()`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, getTitle, hasId, isSupportedOn, setCiUid, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ARCHIVING_SETTINGS_ID

    public static final String ARCHIVING_SETTINGS_ID
    See Also:
      - Constant Field Values

  - ### DEFAULT_SEARCH_PAGE_SIZE

    public static final int DEFAULT_SEARCH_PAGE_SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ArchivingSettings

    public ArchivingSettings()

- ## Method Details

  - ### validate

    public void validate()

  - ### getReleaseAgeToDeleteFromJcr

    public Integer getReleaseAgeToDeleteFromJcr()

  - ### getArchivingJobCronSchedule

    public String getArchivingJobCronSchedule()

  - ### setReleaseAgeToDeleteFromJcr

    public void setReleaseAgeToDeleteFromJcr(Integer releaseAgeToDeleteFromJcr)

  - ### getEnabled

    public boolean getEnabled()

  - ### getPreArchivingEnabled

    public boolean getPreArchivingEnabled()

  - ### setPreArchivingEnabled

    public void setPreArchivingEnabled(Boolean enabled)

  - ### getSearchPageSize

    public Integer getSearchPageSize()

  - ### getMaxSecondsPerRun

    public Integer getMaxSecondsPerRun()

  - ### getSleepSecondsBetweenReleases

    public Integer getSleepSecondsBetweenReleases()

  - ### getPurgingEnabled

    public boolean getPurgingEnabled()

  - ### setPurgingEnabled

    public void setPurgingEnabled(boolean enabled)

  - ### getPurgeExportPath

    public String getPurgeExportPath()

  - ### setPurgeExportPath

    public void setPurgeExportPath(String location)

  - ### getExportOnPurgeEnabled

    public boolean getExportOnPurgeEnabled()

  - ### setExportOnPurgeEnabled

    public void setExportOnPurgeEnabled(boolean enabled)

  - ### getMaximumArchiveRetentionPeriod

    public Integer getMaximumArchiveRetentionPeriod()

  - ### setMaximumArchiveRetentionPeriod

    public void setMaximumArchiveRetentionPeriod(Integer maximumArchiveRetentionPeriod)

  - ### getPurgingJobCronSchedule

    public String getPurgingJobCronSchedule()

  - ### getPurgingSearchPageSize

    public Integer getPurgingSearchPageSize()

  - ### getPurgingMaxSecondsPerRun

    public Integer getPurgingMaxSecondsPerRun()

  - ### getPurgingSleepSecondsBetweenReleases

    public Integer getPurgingSleepSecondsBetweenReleases()

  - ### getSkipArchiveAllowed

    public boolean getSkipArchiveAllowed()

  - ### setSkipArchiveAllowed

    public void setSkipArchiveAllowed(boolean skipArchiveAllowed)

  - ### isReleaseCleanupEnabled

    public boolean isReleaseCleanupEnabled()

  - ### setReleaseCleanupEnabled

    public void setReleaseCleanupEnabled(boolean releaseCleanupEnabled)

  - ### getReleaseAgeToAbort

    public Integer getReleaseAgeToAbort()

  - ### setReleaseAgeToAbort

    public void setReleaseAgeToAbort(Integer releaseAgeToAbort)

  - ### getReleaseCleanupSleepSecondsBetweenAbort

    public Integer getReleaseCleanupSleepSecondsBetweenAbort()

  - ### setReleaseCleanupSleepSecondsBetweenAbort

    public void setReleaseCleanupSleepSecondsBetweenAbort(Integer releaseCleanupSleepSecondsBetweenAbort)

  - ### getReleaseCleanupSearchPageSize

    public Integer getReleaseCleanupSearchPageSize()

  - ### setReleaseCleanupSearchPageSize

    public void setReleaseCleanupSearchPageSize(Integer releaseCleanupSearchPageSize)

  - ### getReleaseCleanupMaxSecondsPerRun

    public Integer getReleaseCleanupMaxSecondsPerRun()

  - ### setReleaseCleanupMaxSecondsPerRun

    public void setReleaseCleanupMaxSecondsPerRun(Integer releaseCleanupMaxSecondsPerRun)

  - ### getReleaseCleanupCronSchedule

    public String getReleaseCleanupCronSchedule()

  - ### setReleaseCleanupCronSchedule

    public void setReleaseCleanupCronSchedule(String releaseCleanupCronSchedule)